package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

public class ImNetworkMusicSheetDownDto {
	@ApiModelProperty(value = "房间号",required = true)
	private String roomId;

	@ApiModelProperty(value = "伴奏编号",required = true)
	private Long musicSheetAccompanimentId;

	@ApiModelProperty(value = "曲目编号",required = true)
	private Long musicSheetId;

	@ApiModelProperty(value = "用户编号",required = true)
	private Long userId;

	@ApiModelProperty(value = "0学生1老师")
	private Integer userType;

	@ApiModelProperty(value = "伴奏下载状态（1下载成功0下载中2下载失败）")
	private Integer status;

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public Long getMusicSheetAccompanimentId() {
		return musicSheetAccompanimentId;
	}

	public void setMusicSheetAccompanimentId(Long musicSheetAccompanimentId) {
		this.musicSheetAccompanimentId = musicSheetAccompanimentId;
	}

	public Long getMusicSheetId() {
		return musicSheetId;
	}

	public void setMusicSheetId(Long musicSheetId) {
		this.musicSheetId = musicSheetId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Integer getUserType() {
		return userType;
	}

	public void setUserType(Integer userType) {
		this.userType = userType;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@Override
	public String toString() {
		return "ImNetworkMusicScoreDownDto{" +
				"roomId='" + roomId + '\'' +
				", musicSheetAccompanimentId=" + musicSheetAccompanimentId +
				", musicSheetId=" + musicSheetId +
				", userId=" + userId +
				", userType=" + userType +
				", status=" + status +
				'}';
	}
}
